[Plezz Help~~] Some error during installing DBD-Oracle-1.12

hi... guys~
I am a beginner...for Perl.. Pleas someone help me out..it
I don't know how to make it..
When I install "DBD-Oracle-1.12" at system, it was failed with some error
messages, as follows.

============================================================================
=========
cc -c  -I/home/oracle/OraHome1/rdbms/demo -I/home/oracle/OraHome1/rdbms/
public -I/home/oracle/OraHome1/plsql/public -I/home/oracle/OraHome1/network/
publ
ic -I/home/oracle/OraHome1/rdbms/demo -I/home/oracle/OraHome1/rdbms/demo -I/
opt/
perl5/lib/site_perl/5.8.0/PA-RISC2.0/auto/DBI  -Ae -D_HPUX_SOURCE -Wl,+vnoco
mpat
warnings -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 +O2
olimit    -DVERSION=\
"1.12\"  -DXS_VERSION=\"1.12\" +Z "-I/opt/perl5/lib/5.8.0/PA-RISC2.0/CORE"
Ora
cle.c
cpp: "dbdimp.h", line 44: error 4036: Can't open include file 'ocidfn.h'.
cpp: "dbdimp.h", line 57: error 4036: Can't open include file 'ociapr.h'.
*** Error exit code 1

============================================================================
=========

Installation Environment :

HW :  HP-UX
OS :  HP-UX B.11.11
===========================


I'll quite appreciate with your help...

Thanks in advance.

Jenny


0
jenny92
6/12/2003 1:52:38 AM
perl.dbi.dev 1944 articles. 0 followers. Follow

1 Replies
466 Views

Similar Articles

[PageSpeed] 35

The dbi-users@perl.org mailing list is the best place to ask.
The dbi-dev@perl.org mailing list is mainly for developers of DBD's.

You need to install more Oracle software. See README.clients.

Tim.

p.s. As you're on HP-UX you're bound to run into several problems.
Read the README.hpux file carefully. I aim to release DBD::Oracle 1.15
in the next few days. Watch out for that.


On Thu, Jun 12, 2003 at 10:52:38AM +0900, Jenny wrote:
> hi... guys~
> I am a beginner...for Perl.. Pleas someone help me out..it
> I don't know how to make it..
> When I install "DBD-Oracle-1.12" at system, it was failed with some error
> messages, as follows.
> 
> ============================================================================
> =========
> cc -c  -I/home/oracle/OraHome1/rdbms/demo -I/home/oracle/OraHome1/rdbms/
> public -I/home/oracle/OraHome1/plsql/public -I/home/oracle/OraHome1/network/
> publ
> ic -I/home/oracle/OraHome1/rdbms/demo -I/home/oracle/OraHome1/rdbms/demo -I/
> opt/
> perl5/lib/site_perl/5.8.0/PA-RISC2.0/auto/DBI  -Ae -D_HPUX_SOURCE -Wl,+vnoco
> mpat
> warnings -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 +O2
> olimit    -DVERSION=\
> "1.12\"  -DXS_VERSION=\"1.12\" +Z "-I/opt/perl5/lib/5.8.0/PA-RISC2.0/CORE"
> Ora
> cle.c
> cpp: "dbdimp.h", line 44: error 4036: Can't open include file 'ocidfn.h'.
> cpp: "dbdimp.h", line 57: error 4036: Can't open include file 'ociapr.h'.
> *** Error exit code 1
> 
> ============================================================================
> =========
> 
> Installation Environment :
> 
> HW :  HP-UX
> OS :  HP-UX B.11.11
> ===========================
> 
> 
> I'll quite appreciate with your help...
> 
> Thanks in advance.
> 
> Jenny
> 
> 
0
Tim
6/12/2003 8:39:09 AM
Reply:

Similar Artilces:

(Fwd) Re: [Plezz Help~~] Some error during installing DBD-Oracle-1.12
----- Forwarded message from Jenny Kim <jenny@mobigen.com> ----- Delivered-To: tim.bunce@pobox.com X-MsgID: 1055415461.19658.mail X-RECEIVED-IP: 203.236.3.209 From: "Jenny Kim" <jenny@mobigen.com> To: <Tim.Bunce@pobox.com> Cc: <dbi-dev@perl.org> Subject: Re: [Plezz Help~~] Some error during installing DBD-Oracle-1.12 Date: Thu, 12 Jun 2003 19:57:35 +0900 ----- Original Message ----- From: "Jenny Kim" <jenny@mobigen.com> To: <dbi-users@perl.org> Sent: Thursday, June 12, 2003 7:31 PM Subject: Re: [Plezz Help~~] Some erro...

Errors in DBD-Oracle 1.12 using DBI 1.26, OK with DBI 1.25
Platform: Windows 2000 Perl: ActiveState Perl 5.6.1 build 629 ---------------------------------------------------------------------------- ---- USING DBI 1.25 ---------------------------------------------------------------------------- ---- C:\temp\DBD-Oracle-1.12>nmake test Microsoft (R) Program Maintenance Utility Version 6.00.8168.0 Copyright (C) Microsoft Corp 1988-1998. All rights reserved. C:\bin\Perl\bin\Perl.exe -Mblib -IC:\bin\Perl\lib -IC:\bin\Perl\lib -e " use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;" t\bas...

Re: error during DBD::Oracle installation (was: error during DBI installation)
------=_Part_6037_22545193.1207194199772 Content-Type: text/plain; charset=ISO-8859-1 Content-Transfer-Encoding: 7bit Content-Disposition: inline Looks like time to get the development stuff you need installed. The log file says: Reading /export/home/oracle/product/9Iclient/precomp/lib/env_precomp.mk Attempting to discover Oracle OCI build rules gcc -c -I. -I/export/home/oracle/product/9Iclient/precomp/public -I/export/home/oracle/product/9Iclient/rdbms/public -I/export/home/oracle/product/9Iclient/rdbms/demo -I/export/home/oracle/product/9Iclient/plsql/public -I/export/hom...

Error installing DBD-Oracle-1.12
Hello My name is Miguel Angel Fernandez from Jazz Telecom. I=B4m installing the module "DBD-Oracle-1.12" and I have the next probl= em. $ make test PERL_DL_NONLAZY=3D1 /space/home/cricket/perl/bin/perl -Iblib/arch -Ibli= b/lib -I/space/home/cliesp/perl/lib/5.6.1/sun4-solaris -I/space/home/cliesp/perl/lib/5.6.1 -e 'use Test::Harness qw(&runtests $verbose); $verbose=3D0; runtests @ARGV;' t/*.t t/base..............You must install a Solaris patch to run this versio= n of the Java runtime. Please see the README and release notes for more information. Exi...

Error in make ( When install the DBD-Oracle 1.12)
Hi: I have the next problem when i do the make: The make can't look the next variables: `OCI_HTYPE_SUBSCRIPTION' `OCI_DTYPE_LOCATOR' Where are they? I have Solaris 8, Oracle 8.0.6, DBI 1.20 Regards and Thanks in advance. AUlloa This is the result for the commnd make: # make cp oraperl.ph blib/lib/oraperl.ph cp Oracle.pm blib/lib/DBD/Oracle.pm cp mk.pm blib/arch/auto/DBD/Oracle/mk.pm cp dbdimp.h blib/arch/auto/DBD/Oracle/dbdimp.h cp ocitrace.h blib/arch/auto/DBD/Oracle/ocitrace.h cp Oracle.h blib/arch/auto/DBD/Oracle/Oracle.h cp Oraperl.pm blib/lib/Ora...

DBD-Oracle-1.16 installation Error | Help
------_=_NextPart_001_01C65E0F.3C3A745D Content-Type: text/plain; charset="us-ascii" Content-Transfer-Encoding: quoted-printable Hi all, =20 I am facing issue with DBD-Oracle-1.16 installation with DBI-1.50. =20 Kindly help me with the same. =20 bash-3.1# iwperl Makefile.PL Multiple copies of Driver.xst found in: /apps/iw-home/iw-perl/site/lib/auto/DBI/ /apps/iw-home/iw-perl/vendor/lib/auto/DBI/ at Makefile.PL line 39 Using DBI 1.50 (for perl 5.008002 on sun4-solaris-multi) installed in /apps/iw-home/iw-perl/site/lib/auto/DBI/ =20 Configuring DBD::Oracle ... =20...

Oracle 9i, DBI 1.12 & DBD-Oracle 1.20 Problems
Howdy folks, I was hoping some kind soul on here could assist me with a problem I am having compiling the DBD-Oracle 1.12 driver. I have read the documentation and have not found conclusive proof that DBI & the Oracle DBD drivers are supported under Oracle 9i. Has anybody gotten DBD & DBI to work under Oracle 9i from a new install (not an upgrade)? Problem: Make run on DBD-Oracle 1.12 fails with error: ld: /usr/oracle/product/9.0.1/rdbms/lib/defopt.o: Mismatched ABI. 64-bit PA object file found in 32-bit link. Environment: HP Superdome HPUX 11i Mission Critical...

Help: DBD-Oracle-1.14 make: Error 1 with Oracle 9i client
------_=_NextPart_001_01C314B8.75FC81A0 Content-Type: multipart/alternative; boundary="----_=_NextPart_002_01C314B8.75FC81A0" ------_=_NextPart_002_01C314B8.75FC81A0 Content-Type: text/plain; charset="us-ascii" Content-Transfer-Encoding: quoted-printable Hi, =20 This is my second attempt to send this because My first attempt was kicked back because my message was too big, do to putting the output in the message. The output is an attachment this time. If you get this message twice sorry for the inconvience. =20 This may...

(Fwd) I have error install DBD 1.12 please help me
----- Forwarded message from cflesmana <cflesmana@sisindosat.co.id> ----- Delivered-To: tim.bunce@pobox.com From: "cflesmana" <cflesmana@sisindosat.co.id> To: <Tim.Bunce@pobox.com> Cc: <Tim.Bunce@ig.co.uk> Subject: I have error install DBD 1.12 please help me Date: Fri, 5 Jul 2002 17:25:24 +0700 X-OriginalArrivalTime: 05 Jul 2002 10:25:25.0224 (UTC) FILETIME=[46970680:01C2240E] X-MDaemon-Deliver-To: Tim.Bunce@pobox.com X-Return-Path: cflesmana@sisindosat.co.id X-MDRcpt-To: Tim.Bunce@ig.co.uk X-MDRemoteIP: 132.147.1.128 Reply-To: cflesmana@sisindo...

Error in make ( When install the DBD-Oracle 1.12) #2
----- Forwarded by Aldo Ulloa/VTR CABLE on 25/04/2002 11:17 a.m. ----- Aldo Ulloa To: Tim.Bunce@ig.co.uk 25/04/2002 cc: 12:07 p.m. Subject: ...

HELP! make test errors DBD::Oracle 1.12
I am using a machine running Solaris 2.6. I have perl 5.00503 installed, and DBI installed. I have Oracle 8.0.5 installed and running (can connect via sqlplus). I have my environment variables $ORACLE_HOME, $ORACLE_SID, and $TNS_ADMIN set. make Makefile.PL and make do not give me any errors , but make test outputs this: PERL_DL_NONLAZY=1 /web/perl/5.005_03/bin/perl -Iblib/arch -Iblib/lib -I/web/perl/5.005_03/lib/sun4-solaris -I/web/perl/5.005_03/lib -e 'use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;' t/*.t t/base..............ok t/general.........

Oracle 9i, DBI 1.12 & DBD-Oracle 1.20 Problems #2
------_=_NextPart_001_01C21D08.7236C0D0 Content-Type: text/plain; charset="iso-8859-1" Hello I am also trying make DBD::Oracle on hp-ux 11i, 64bit kernel, running Oracle 9i. I have installed perl 5.6.1, DBD version 1.28 and running make for DBD::Oracle I get exactly the same error; ld: /oracle/app/product/9.0.1/rdbms/lib/defopt.o: Mismatched ABI. 64-bit PA object file found in 32-bit link. *** Error exit code 1 Stop. /usr/bin/make -- NOT OK I see you concluded after making changes and getting the make, make test and make install to kind of succeed, you ...

Need HELP: trying to install DBI-1.613 or even DBI-1.616 same errors ...see message??
HELP: $ uname -a SunOS recondfw 5.10 Generic_139556-08 i86pc i386 i86pc isainfo -v 64-bit amd64 applications ssse3 cx16 mon sse3 sse2 sse fxsr mmx cmov amd_sysc cx8 tsc fpu 32-bit i386 applications ssse3 cx16 mon sse3 sse2 sse fxsr mmx cmov sep cx8 tsc fpu bash-3.00# echo $PATH /usr/sbin:/usr/bin:/usr/sfw/bin bash-3.00# /usr/perl5/bin/perlgcc Makefile.PL Creating test wrappers for DBD::Gofer: t/zvg_01basics.t t/zvg_02dbidrv.t t/zvg_03handle.t t/zvg_04mods.t t/zvg_05concathash.t t/zvg_06attrs.t t/zvg_07kids.t t/zvg_08keeperr.t t/zvg_09trace.t t/zvg_...

Problem compiling/installing DBD::Oracle 1.12 on Solaris 8 / Oracle 9.2.0.1 (ORA-03106)
I've been trying to get DBD::Oracle 1.12 working on Solaris 8, with perl 5.8.0, DBI 1.30, and Oracle 9.2.0.1 Unfortunately, the 'make test' is failing, and even if I ignore that, the same problems show up when I try to run scripts that work fine on an older environment, namely, the fetch statements return ORA-03106: fatal two-task communication protocol error (DBD ERROR: OCIStmtFetch). Also, the 'make test' routine hangs at test 55 of the plsql tests. In order to get it to compile, with the 64 bit error, I had to change all the $ORACLE_HOME/lib and $ORA...

Web resources about - [Plezz Help~~] Some error during installing DBD-Oracle-1.12 - perl.dbi.dev

Resources last updated: 1/2/2016 2:39:01 PM